commit:     8274430de8653c0282f95c963838a0ad972ea57d
Author:     Robert Siebeck <gentoo.2019 <AT> r123 <DOT> de>
AuthorDate: Thu Jun 12 11:37:49 2025 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jun 16 08:08:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8274430d

app-editors/zed: add 0.190.4

Signed-off-by: Robert Siebeck <gentoo.2019 <AT> r123.de>
Part-of: https://github.com/gentoo/gentoo/pull/42560
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-editors/zed/Manifest           |   3 +
 app-editors/zed/zed-0.190.4.ebuild | 237 +++++++++++++++++++++++++++++++++++++
 2 files changed, 240 insertions(+)

diff --git a/app-editors/zed/Manifest b/app-editors/zed/Manifest
index a0557347c474..82f49bf2b29b 100644
--- a/app-editors/zed/Manifest
+++ b/app-editors/zed/Manifest
@@ -8,6 +8,7 @@ DIST cpal-fd8bc2fd39f1f5fdee5a0690656caff9a26d9d50.gh.tar.gz 
120253 BLAKE2B e40b
 DIST dap-types-68516de327fa1be15214133a0a2e52a12982ce75.gh.tar.gz 76216 
BLAKE2B 
f450a450cd856dd79cc970a4c8e574a57ccd0b60b9cbe273bf539f6c1d14e06b3e5421b418d312c567fac5ab1a334618a39e105bc0e80d3e5236e28f1aae386e
 SHA512 
4af600db5cdea95d436c7d89e7147b26c4794e5d5be2b1179d12844f5ffaec3fd14b52bd863757ada2afadfc411b4c621ecc670ae2cc1eecccc57c5ef7bda5a6
 DIST dap-types-be69a016ba710191b9fdded28c8b042af4b617f7.gh.tar.gz 75089 
BLAKE2B 
f3106b153dad275645a6ee942fda7539f478a1dadef611e057df66c5974f74dc8bca52b86b7bd45993de2e1384fe306ca15e979f715bf7d2b77a52f677916c15
 SHA512 
5f09cdf1176d4ae9ab4e20a7e8786bd32e40a353c54f26bd2a2bca76f60f3f9527e174ea96056fdd8595d553862bb2ca4b45332fce3f3b2f71f33c1692669970
 DIST dap-types-bfd4af084bbaa5f344e6925370d7642e41d0b5b8.gh.tar.gz 75085 
BLAKE2B 
d6f8d97ba47519d08c7ddbf9b1e488fb195c3fc3161870e46287b1564ae5adcc652686d5b6ce1beb55589661cc55d06835716650278c9378f5705f262c1fa948
 SHA512 
ed0b8969f9d4116b1a83a3d89f790c4e8351e5c759a95e30f57f8b144e23d6d9737730c0e0f88a3b5e0a62c12428c543024e9f184029767975d2b94870155480
+DIST dap-types-cef124a5109d6fd44a3f986882d78ce40b8d4fb5.gh.tar.gz 76821 
BLAKE2B 
ea1186a6ea0ac2e50daaf1b3c665813f88e8445df493b281aed7c5a82a9ad7ad3d615c53900be00b2221cdb87f66c6b55a8d46b7037ac967c1d25c2ce516a7b6
 SHA512 
680fd9b65f0f99ce31869f4f0b306365223696cf50b74c34e6119719dd0b001e7c0114946ac3ae7b0e8c2453e183275a4d08c9c02ebd039a6091db1ef2a24804
 DIST font-kit-5474cfad4b719a72ec8ed2cb7327b2b01fd10568.gh.tar.gz 1289459 
BLAKE2B 
1d2ad876cf50b33bcb6370a21233d2ac0ba352bedb65638df714c3fa51c483dac307dd44044b670d278966c8bf0c3d1037e989fdeeac7472bfe055718b88216c
 SHA512 
cca26152c19408b42c638bd1f8f64d4048799cc0a51dd3ed2a44da8e8f92dd9b9dd5bbc31ca6ac37fbd809af61f539e5d7f5ab6144bbdbfb3703e62f3c3f1d61
 DIST jj-e18eb8e05efaa153fad5ef46576af145bba1807f.gh.tar.gz 1952595 BLAKE2B 
992c65b962b68a3f855feb90ebb6ce42c1599ccb5aba8fe177873523af3fe50c6bf4b8bee44262f9834050908f2c05562ddcc1933198993d602a7ffa972ddd61
 SHA512 
2a79501f9402e6348def0911d6aa3a44dce43bce12d86a93913f1a0b5dca7ddd075b3a42beaf39b6ddf62e00e5d468c045ba89755633b357f4526eeea1c9b4f3
 DIST livekit-rust-sdks-80bb8f4c9112789f7c24cc98d8423010977806a6.gh.tar.gz 
6248687 BLAKE2B 
9f3d1957490cec12cf0864f68164d2a614a2f617d15762fb2937dee9ceba093d5c7331dba214f883f933ba2a518082a4d15d2e547d67a7f8327882605a61f594
 SHA512 
14d3ec4a073c2fdecdc08984950c4bcf0da2efd1f9bcc1ab8c260cb8a2654ceb6dd76814090a61984cb06c4e46667cd056f47ae8ceea2094335e1bbd1e400c71
@@ -38,3 +39,5 @@ DIST zed-0.187.9-crates.tar.xz 111840676 BLAKE2B 
255d0ce8a425648cfd1a9accc446cc7
 DIST zed-0.187.9.tar.gz 14776237 BLAKE2B 
2bcb0dd38c6923d8536d06a8436797dad0a5c9b0af3119827f5a3237e006a152d548a2fc353c9eb2e681b092c021d813d5e028142439b5baa1c09744bef55a9d
 SHA512 
4854663cdd57a549ac8c8a7e3eb9ece72a22375f6005ba7840212ca7d6e25a54aa75cfbdbc3032541cf6827367cad4a64a099a5b4d3dbc7d41d6083d7e1fa828
 DIST zed-0.189.5-crates.tar.xz 115136532 BLAKE2B 
01998f42c0393bb4fe350814eb8eb1e6c260c6db4c9ab072d9dc2cb0ffd5d7f9667d69418a2f6f92f4429aa4d6b61b09f43baad88e5b3567fd7b11259e3a3d02
 SHA512 
91315245d27475d7e4a856dd36ae8d4facf272bba59574690bc3a7cb0fb6bcd03ca1649d1ab5869449ac5c2f451ac1551a4dfbb9a93117921433bf2b97aa4850
 DIST zed-0.189.5.tar.gz 15248904 BLAKE2B 
31fdace5d70411643df5eb3af3f85162f8f2fbd1dd528f03ac21c7e98f657b430939b68cda111f3082d5f039af1d19bc681a2a9a09a669481be57ba37e4c41c8
 SHA512 
9eeaf20d4d4176e32ef4b41beb515356e79d6df8d04704069e3e8bea352de84a69ac8dbb19942b70e6d35ec33810cb342bdc655529b623fbc64d1d3d41d9a0e5
+DIST zed-0.190.4-crates.tar.xz 115182488 BLAKE2B 
8b8ad41cabd98722131d195520a83043328f9135b24a38645213ae4c6e166c8237b1162b49271f4336a4b0e510f884a2fe60914eccb1f51d32162e6336aeb33b
 SHA512 
84ce217b590e04b7fd76107ea5c6bdf7fdf20022cb76944ad21c852a2bb2bd4a3caa2c7f02d28e37d7abf4b3e768ded766487e7c96da902614ce821365ae8c0d
+DIST zed-0.190.4.tar.gz 15307699 BLAKE2B 
52dd1c1db95c98e02544fe270a1097d093ec56ad6e83dd59114b2670d19f46aba637319054fa0b05ddfa710c25d422ab4985b669f725d658247429ccf3fe4fa3
 SHA512 
85e3af3b0a837d156bd22b41c445f03b0265d1f22a5a9bc7322af2af9f4cf357f91079bb5dfd242d0d79186272096f00aace01d995226378381a40bb7b563318

diff --git a/app-editors/zed/zed-0.190.4.ebuild 
b/app-editors/zed/zed-0.190.4.ebuild
new file mode 100644
index 000000000000..5d202c75ce0a
--- /dev/null
+++ b/app-editors/zed/zed-0.190.4.ebuild
@@ -0,0 +1,237 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.0
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[alacritty_terminal]='https://github.com/zed-industries/alacritty;828457c9ff1f7ea0a0469337cc8a37ee3a1b0590;alacritty-%commit%/alacritty_terminal'
+       
[async-pipe]='https://github.com/zed-industries/async-pipe-rs;82d00a04211cf4e1236029aa03e6b6ce2a74c553;async-pipe-rs-%commit%'
+       
[async-stripe]='https://github.com/zed-industries/async-stripe;3672dd4efb7181aa597bf580bf5a2f5d23db6735;async-stripe-%commit%'
+       
[blade-graphics]='https://github.com/kvark/blade;416375211bb0b5826b3584dccdb6a43369e499ad;blade-%commit%/blade-graphics'
+       
[blade-macros]='https://github.com/kvark/blade;416375211bb0b5826b3584dccdb6a43369e499ad;blade-%commit%/blade-macros'
+       
[blade-util]='https://github.com/kvark/blade;416375211bb0b5826b3584dccdb6a43369e499ad;blade-%commit%/blade-util'
+       
[cpal]='https://github.com/zed-industries/cpal;fd8bc2fd39f1f5fdee5a0690656caff9a26d9d50;cpal-%commit%'
+       
[dap-types]='https://github.com/zed-industries/dap-types;cef124a5109d6fd44a3f986882d78ce40b8d4fb5;dap-types-%commit%/dap-types'
+       
[font-kit]='https://github.com/zed-industries/font-kit;5474cfad4b719a72ec8ed2cb7327b2b01fd10568;font-kit-%commit%'
+       
[jj-lib-proc-macros]='https://github.com/jj-vcs/jj;e18eb8e05efaa153fad5ef46576af145bba1807f;jj-%commit%/lib/proc-macros'
+       
[jj-lib]='https://github.com/jj-vcs/jj;e18eb8e05efaa153fad5ef46576af145bba1807f;jj-%commit%/lib'
+       
[jupyter-protocol]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/jupyter-protocol'
+       
[jupyter-websocket-client]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/jupyter-websocket-client'
+       
[libwebrtc]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/libwebrtc'
+       
[livekit-api]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/livekit-api'
+       
[livekit-protocol]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/livekit-protocol'
+       
[livekit-runtime]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/livekit-runtime'
+       
[livekit]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/livekit'
+       
[lsp-types]='https://github.com/zed-industries/lsp-types;c9c189f1c5dd53c624a419ce35bc77ad6a908d18;lsp-types-%commit%'
+       
[nbformat]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/nbformat'
+       
[notify-types]='https://github.com/zed-industries/notify;bbb9ea5ae52b253e095737847e367c30653a2e96;notify-%commit%/notify-types'
+       
[notify]='https://github.com/zed-industries/notify;bbb9ea5ae52b253e095737847e367c30653a2e96;notify-%commit%/notify'
+       
[nvim-rs]='https://github.com/KillTheMule/nvim-rs;764dd270c642f77f10f3e19d05cc178a6cbe69f3;nvim-rs-%commit%'
+       
[pet-conda]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-conda'
+       
[pet-core]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-core'
+       
[pet-env-var-path]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-env-var-path'
+       
[pet-fs]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-fs'
+       
[pet-global-virtualenvs]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-global-virtualenvs'
+       
[pet-homebrew]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-homebrew'
+       
[pet-jsonrpc]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-jsonrpc'
+       
[pet-linux-global-python]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-linux-global-python'
+       
[pet-mac-commandlinetools]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-mac-commandlinetools'
+       
[pet-mac-python-org]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-mac-python-org'
+       
[pet-mac-xcode]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-mac-xcode'
+       
[pet-pipenv]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-pipenv'
+       
[pet-pixi]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-pixi'
+       
[pet-poetry]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-poetry'
+       
[pet-pyenv]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-pyenv'
+       
[pet-python-utils]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-python-utils'
+       
[pet-reporter]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-reporter'
+       
[pet-telemetry]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-telemetry'
+       
[pet-venv]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-venv'
+       
[pet-virtualenv]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-virtualenv'
+       
[pet-virtualenvwrapper]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-virtualenvwrapper'
+       
[pet-windows-registry]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-windows-registry'
+       
[pet-windows-store]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet-windows-store'
+       
[pet]='https://github.com/microsoft/python-environment-tools;845945b830297a50de0e24020b980a65e4820559;python-environment-tools-%commit%/crates/pet'
+       
[reqwest]='https://github.com/zed-industries/reqwest;951c770a32f1998d6e999cef3e59e0013e6c4415;reqwest-%commit%'
+       
[runtimelib]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/runtimelib'
+       
[scap]='https://github.com/zed-industries/scap;08f0a01417505cc0990b9931a37e5120db92e0d0;scap-%commit%'
+       
[tree-sitter-gitcommit]='https://github.com/zed-industries/tree-sitter-git-commit;88309716a69dd13ab83443721ba6e0b491d37ee9;tree-sitter-git-commit-%commit%'
+       
[tree-sitter-gomod]='https://github.com/camdencheek/tree-sitter-go-mod;6efb59652d30e0e9cd5f3b3a669afd6f1a926d3c;tree-sitter-go-mod-%commit%'
+       
[tree-sitter-gowork]='https://github.com/zed-industries/tree-sitter-go-work;acb0617bf7f4fda02c6217676cc64acb89536dc7;tree-sitter-go-work-%commit%'
+       
[tree-sitter-heex]='https://github.com/zed-industries/tree-sitter-heex;1dd45142fbb05562e35b2040c6129c9bca346592;tree-sitter-heex-%commit%'
+       
[tree-sitter-md]='https://github.com/tree-sitter-grammars/tree-sitter-markdown;9a23c1a96c0513d8fc6520972beedd419a973539;tree-sitter-markdown-%commit%'
+       
[tree-sitter-yaml]='https://github.com/zed-industries/tree-sitter-yaml;baff0b51c64ef6a1fb1f8390f3ad6015b83ec13a;tree-sitter-yaml-%commit%'
+       
[webrtc-sys-build]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/webrtc-sys/build'
+       
[webrtc-sys]='https://github.com/zed-industries/livekit-rust-sdks;80bb8f4c9112789f7c24cc98d8423010977806a6;livekit-rust-sdks-%commit%/webrtc-sys'
+       
[xim-ctext]='https://github.com/XDeme1/xim-rs;d50d461764c2213655cd9cf65a0ea94c70d3c4fd;xim-rs-%commit%/xim-ctext'
+       
[xim-parser]='https://github.com/XDeme1/xim-rs;d50d461764c2213655cd9cf65a0ea94c70d3c4fd;xim-rs-%commit%/xim-parser'
+       
[xim]='https://github.com/XDeme1/xim-rs;d50d461764c2213655cd9cf65a0ea94c70d3c4fd;xim-rs-%commit%'
+)
+
+LLVM_COMPAT=( 20 )
+RUST_MIN_VER="1.87.0"
+RUST_NEEDS_LLVM=1
+WEBRTC_COMMIT="b99fd2c-6"
+
+inherit cargo check-reqs desktop flag-o-matic llvm-r1 toolchain-funcs xdg
+
+DESCRIPTION="The fast, collaborative code editor"
+HOMEPAGE="https://zed.dev https://github.com/zed-industries/zed";
+SRC_URI="
+       
https://github.com/zed-industries/zed/archive/refs/tags/v${PV/_/-}.tar.gz -> 
${P}.tar.gz
+       
https://gitlab.com/api/v4/projects/35204985/packages/generic/${PN}/$(ver_cut 
1-2)/${P}-crates.tar.xz
+       amd64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-x64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-x64-release.zip
+       )
+       arm64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-arm64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-arm64-release.zip
+       )
+       ${CARGO_CRATE_URIS}"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD CC0-1.0 ISC
+       LGPL-3 MIT MIT-0 MPL-2.0 UoI-NCSA openssl Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="gles"
+CHECKREQS_DISK_BUILD="11G"
+CHECKREQS_MEMORY="8G"
+
+DEPEND="
+       app-arch/zstd:=
+       app-misc/jq
+       dev-db/sqlite:3
+       >=dev-libs/libgit2-1.9.0:=
+       dev-libs/mimalloc
+       dev-libs/openssl:0/3
+       dev-libs/protobuf
+       dev-libs/wayland
+       dev-libs/wayland-protocols
+       dev-util/wayland-scanner
+       dev-util/vulkan-tools
+       || (
+               media-fonts/dejavu
+               media-fonts/cantarell
+               media-fonts/noto
+               media-fonts/ubuntu-font-family
+       )
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/vulkan-loader[X]
+       net-misc/curl
+       sys-libs/zlib
+       x11-libs/libX11
+       x11-libs/libxcb:=
+       x11-libs/libxkbcommon[X]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       app-arch/unzip
+       dev-build/cmake
+       dev-util/vulkan-headers
+       sys-devel/gettext
+       sys-devel/mold
+       $(llvm_gen_dep '
+               llvm-core/clang:${LLVM_SLOT}=
+               llvm-core/llvm:${LLVM_SLOT}=
+       ')
+"
+
+QA_FLAGS_IGNORED="usr/bin/zedit"
+
+pkg_setup() {
+       if tc-is-lto; then
+               if tc-is-gcc; then
+                       export CARGO_PROFILE_RELEASE_LTO="true"
+               elif tc-is-clang; then
+                       export CARGO_PROFILE_RELEASE_LTO="thin"
+               fi
+       else
+               export CARGO_PROFILE_RELEASE_LTO="false"
+       fi
+
+       strip-unsupported-flags
+       # flags from upstream
+       export RUSTFLAGS="${RUSTFLAGS} -C symbol-mangling-version=v0 --cfg 
tokio_unstable -C link-arg=-fuse-ld=mold -C 
link-args=-Wl,--disable-new-dtags,-rpath,\$ORIGIN/../lib"
+       # fix error in livekit-rust-sdks
+       export RUSTFLAGS="${RUSTFLAGS} -A unexpected_cfgs"
+       if use gles; then
+               export RUSTFLAGS="${RUSTFLAGS} --cfg gles"
+       fi
+       llvm-r1_pkg_setup
+       rust_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       export APP_CLI="zedit"
+       export APP_ICON="zed"
+       if [[ "${PV}" == *pre ]]; then
+               export APP_ID="dev.zed.Zed-Preview"
+       else
+               export APP_ID="dev.zed.Zed"
+       fi
+       export APP_NAME="Zed"
+       export APP_ARGS="%U"
+       export DO_STARTUP_NOTIFY="true"
+       envsubst < "crates/zed/resources/zed.desktop.in" > ${APP_ID}.desktop || 
die
+
+       # Cargo offline fetch workaround
+       local CPAL_COMMIT="fd8bc2fd39f1f5fdee5a0690656caff9a26d9d50"
+       local CPAL_GIT="git = \"https://github.com/zed-industries/cpal\";, rev = 
\"${CPAL_COMMIT}\""
+       local CPAL_PATH="path = \"${WORKDIR}/cpal-${CPAL_COMMIT}\""
+
+       local NOTIFY_COMMIT="bbb9ea5ae52b253e095737847e367c30653a2e96"
+       local NOTIFY_GIT="notify = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_PATH="notify = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify\""
+       local NOTIFY_TYPES_GIT="notify-types = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_TYPES_PATH="notify-types = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify-types\""
+
+       sed -e "s#${CPAL_GIT}#${CPAL_PATH}#" \
+               -e "s#${NOTIFY_GIT}#${NOTIFY_PATH}#" \
+               -e "s#${NOTIFY_TYPES_GIT}#${NOTIFY_TYPES_PATH}#" \
+               -i "${S}/Cargo.toml" || die "Cargo fetch workaround failed"
+}
+
+src_configure() {
+       cargo_src_configure --all-features
+}
+
+src_compile() {
+       export RELEASE_VERSION="${PV}"
+       export ZED_UPDATE_EXPLANATION='Updates are handled by portage'
+       if use arm64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-arm64-release"
+       elif use amd64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-x64-release"
+       fi
+       cargo_src_compile --package zed --package cli
+}
+
+src_install() {
+       newbin $(cargo_target_dir)/cli ${APP_CLI}
+       exeinto "/usr/libexec"
+       newexe $(cargo_target_dir)/zed zed-editor
+
+       newicon -s 512 crates/zed/resources/app-icon.png zed.png
+       newicon -s 1024 crates/zed/resources/[email protected] zed.png
+       domenu "${S}/${APP_ID}.desktop"
+}
+
+src_test () {
+       mkdir -p "${HOME}/.config/zed" || die
+       mkdir -p "${HOME}/.local/share/zed/logs/" || die
+
+       SHELL=/usr/bin/sh RUST_BACKTRACE=full cargo_src_test -vv
+}

Reply via email to